#!/sbin/sh
#CupumTurbo Installer V3.0
Install_SDK=$(getprop ro.build.version.sdk)
if [ ${Install_SDK} -lt 26 ] ; then
 ui_print "only support Android 8.0+ "
 exit 1
fi
ui_print "==============================================="
ui_print "CCCCCC  U    U  PPPPPP  RRRRRR  U    U  M     M"
ui_print "C       U    U  P    P  R    R  U    U  M  M  M"
ui_print "C       U    U  PPPPPP  RRR     U    U  M     M"
ui_print "C       U    U  P       R  R    U    U  M     M"
ui_print "CCCCCC  UUUUUU  P       R    R  UUUUUU  M     M"
ui_print "===================ADJUSTMENT=================="
ui_print "- Copyright (C) Chenzyadb ALL Rights Reserved."
ui_print "- 开始释放 CuprumTurbo Adjustment 主程序∼"
rm -rf /data/CuprumTurbo_Lib/
mkdir -p /data/CuprumTurbo_Lib/
mkdir -p /data/CuprumTurbo_Lib/tools/
rm -rf /data/Cuprum_Custom/system/ 
mkdir -p /data/Cuprum_Custom/system/
unzip -qjo "$ZIPFILE" "common/bin/cuprumd" -d "/data/CuprumTurbo_Lib/" 
unzip -qjo "$ZIPFILE" "common/xbin/taskset" -d "/data/CuprumTurbo_Lib/tools/" 
chmod -R 7777 /data/CuprumTurbo_Lib/
ui_print "- 主程序释放完成 ∼"
ui_print "- 开始释放默认的配置文件 ∼"
if [ ! -e /data/Cuprum_Custom/custom_boost_list.txt ] ; then
 unzip -qjo "$ZIPFILE" "common/config/custom_boost_list.txt" -d "/data/Cuprum_Custom/"
 chmod 0666 /data/Cuprum_Custom/custom_boost_list.txt
fi
echo "powersave" > /data/Cuprum_Custom/mode
chmod 0666 /data/Cuprum_Custom/mode
ui_print "- 配置文件释放完成 ∼"
#Stop MSM_BOOSTER
if [ -e /system/vendor/etc/perf/perfboostsconfig.xml ] ; then
 ui_print "- 发现高通 MSM BOOSTER 配置文件, 正在禁用 ∼"
 mkdir -p ${MODPATH}/system/vendor/etc/perf/
 touch ${MODPATH}/system/vendor/etc/perf/perfboostsconfig.xml
 chmod 7777 ${MODPATH}/system/vendor/etc/perf/perfboostsconfig.xml
 ui_print "- MSM BOOSTER 禁用成功 ∼"
fi
if [ -e /system/vendor/etc/power_whitelist_cfg.xml ] ; then
 ui_print "- 发现联发科白名单配置文件∼"
 mkdir -p ${MODPATH}/system/vendor/etc/power_whitelist_cfg.xml
 touch ${MODPATH}/system/vendor/etc/power_whitelist_cfg.xml
 chmod 7777 ${MODPATH}/system/vendor/etc/power_whitelist_cfg.xml
 ui_print "- 联发科白名单禁用成功 ∼"
fi


